BerryBots pre-release testing help

From RoboWiki
Fragment of a discussion from User talk:Voidious
Jump to: navigation, search

Yep, it is a pain when libraries are not in the main distro.

But may be there is no reason to push so hard. You already have good enough binary zip which runs by itself, so anyone interested can run it on Debian with no problem. The only thing to do maybe, is to come up with a list of packages required to run it. As I reported it runs fine for me, but may be I have big enough collection of library packages. Debian has some script which runs through binary and report its dependencies, it is run from inside of deb-maker scripts so I cannot say which one exactly.

Also, if you do deb packages just because of my request. Please, do not fill obligated. For the next couple month I will be busy trying to reach something in robocode. And I cannot handle one more addictive game :)

Though, I will be happy to test installation of berrybots packages.

Beaming (talk)23:02, 26 October 2013

Haha, well, real packaging on Linux was already a to-do, but having actual people show some interest has a way of helping prioritize things. :-) And I can pay my Apple tax (er, developer license) to get rid of a scary warning there, maybe write an installer for Windows too, and I've got a nice "easier to build or install / run" story for the next version.

I've tested the .zip on a fresh install of Ubuntu, so I don't think there's anything major that I'm unknowingly depending on. I think I tried the Debian binary on a fresh install too.

Voidious (talk)23:24, 26 October 2013
 

If you're interested, here's a Debian 32-bit .deb: [1].

Got both .deb and .rpm packages working now. Never thought I'd be so happy to see my icon in the Linux Applications menu. :-)

Voidious (talk)04:06, 29 October 2013

Congratulation with mastering debian packaging! I installed it without problems and it seems to be working properly.

Beaming (talk)22:00, 29 October 2013
 
 
Personal tools